# CraftPresence

## [v2.4.5](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.4.5) (2022-06-11)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.4.2...v2.4.5) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] `item\_level\_equipped` and `item\_level\_pvp` now fallback to avg  
    - This will make them all usually display something instead of 0s for non-applicable ones, mostly to remove the need of filtering unless you wanna be extremally precise.  
- [Change] Added GearScore Support for `item\_level` placeholders  
    - Only retrieves the `itemLevel` return, but can easily be changed to get the gear score.  
- [Fix] Fixed an incorrect self reference  
- [Fix] Added rebased api check for GetCurrentInstanceName  
- [Change] Misc. Cleanups  
- [Change] Continued Improvements for 3.x clients and below  
    - Adjusted `HasInstanceChanged` to use `GetCurrentInstanceName` and allow support for clients below 3.x.  
    - Slightly improve the performance of `GetCurrentInstanceName` and `GetCurrentInstanceTier`  
- [Change] Multiple Compatibility Improvements for 3.x Clients and below  
    - Added `IsValueTrue`, which will allow `1` to be used as a valid boolean value instead of just `true`. This change effects `ShouldProcessData`,  `label.state`,  and the event dispatching return values.  
    - Removed an unneeded portion of `DispatchUpdate` logging where `log\_output` was checked, since the `logTemplate` check already included it.  
    - Added `GetCurrentInstanceName(ensure\_accuracy)` as a cross-compatible alternative to `select(1, GetInstanceInfo()`. This allows `localized\_name` to be used as a placeholder by default on the original TBC and Vanilla Client, and also adds a fallback to `Unknown` in case it is empty. For those clients, it will return the Continent name using the `WorldMapFrame` continent. Since the result may not always be correct, `ensure\_accuracy` is an optional param that can be used to execute `SetMapToCurrentZone()` to enforce correctness.  
    - Fixed a missing `IsNullOrEmpty` case in `player\_alliance`, may increase it's performance slightly.  
- [Change] Fixed documentation of `player\_status  
    - It returns `Unknown` if there is no applicable data.  
- [Fix] Fixed a minor indent issue  
